N=500;

% 1D Gaussian
A=gauss(N)
  figure(1),scatterd(A)
  figure(2),hist(A)
  disp('A 1D Gaussian')
pause


% 2D
A=gauss(N, [0 0])
  figure(1),scatterd(A)
  disp('A 2D hyperspheric Gaussian')
pause



% with covariance matrix
A=gauss(N, [0 0], [1 .8 ; .8 3] )
  figure(1),scatterd(A)
  disp('A 2D Gaussian')
pause



% two gaussians
mA=[0 0];
mB=[4 3];
labs=[1 2]';
priors=[.5 .5];
GA = [.4 0.6; 0.6 3];    GB = [3 -0.23; -0.23 .5];
covs=cat(3,GA,GB);

U = dataset([mA ; mB],labs,'prior',priors)
A = gauss(N, U, covs)
  figure(1),scatterd(A)
  disp('Two 2D Gaussians')
pause


% (exact) Bayes classifier
wb = nbayesc(U,covs);

% plot boundary
plotc(wb)
  disp('with decision boundaries')
pause

% plot mahalanobis distances
plotm(wb)
  disp('with Mahalanobis isometric levels')
pause

% plot surfaces
plotm(wb,3)
  disp('as a surface')
pause

